PowerModelSpecPower_REIMS (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.power.models

## Class PowerModelSpecPower_REIMS

- java.lang.Object
- - org.cloudbus.cloudsim.power.models.PowerModelSpecPowerDVFS
  - - org.cloudbus.cloudsim.power.models.PowerModelSpecPower_REIMS

- All Implemented Interfaces:
    PowerModel

      public class PowerModelSpecPower_REIMS
      extends PowerModelSpecPowerDVFS

  PowerModel for Tom's Host. CPU Intel(R) Core(TM)2 Quad CPU Q6700 @ 2.66GHz and 4GB Ram running with Ubuntu TLS 10.4 (Linux kernel 2.6.32). All energy consumption measures have been done on this host with Plogg wireless electricity meter that allow to see and save the live power consumption. Values measured by changing frequency of 1 core (of 4)
  Author:
    Guérout Tom, Monteil Thierry, Da Costa Georges | LAAS - IRIT , Toulouse, France

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PowerModelSpecPower_REIMS()`
    `PowerModelSpecPower_REIMS(List<Pe> PeList_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getnbFreq()`
    `double` | `getPMax(int frequency)`
    `double` | `getPMin(int frequency)`
    `double` | `getPower(double utilization)` The power model use here is the classical linear power model Cmin + UtilizationPe [Cmax - Cmin]

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PowerModelSpecPower_REIMS

          public PowerModelSpecPower_REIMS()

    - #### PowerModelSpecPower_REIMS

          public PowerModelSpecPower_REIMS(List<Pe> PeList_)

  - ### Method Detail

    - #### getPower

          public double getPower(double utilization)
                          throws IllegalArgumentException

      The power model use here is the classical linear power model Cmin + UtilizationPe [Cmax - Cmin]
      Specified by:
        `getPower` in interface `PowerModel`
      Overrides:
        `getPower` in class `PowerModelSpecPowerDVFS`
      Parameters:
        `utilization` -
      Returns:
      Throws:
        `IllegalArgumentException`

    - #### getPMin

          public double getPMin(int frequency)

      Specified by:
        `getPMin` in class `PowerModelSpecPowerDVFS`

    - #### getPMax

          public double getPMax(int frequency)

      Specified by:
        `getPMax` in class `PowerModelSpecPowerDVFS`

    - #### getnbFreq

          public int getnbFreq()

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.